Skip Menu |
 

This queue is for tickets about the Data-ICal CPAN distribution.

Report information
The Basics
Id: 26262
Status: rejected
Priority: 0/
Queue: Data-ICal

People
Owner: Nobody in particular
Requestors: BARBIE [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Wishlist
Broken in: 0.13
Fixed in: (no value)



Subject: Sub::Uplevel might be too old
Download (untitled) / with headers
text/plain 601b
Have just tried to upgrade Data::ICal to 0.13. Unfortunately several tests kept failing. I tried with 0.12 and 0.11 and the result was the same. Looking closer the error was within Sub::Uplevel complaining about an undefined value. Just on the off chance I upgraded Sub::Uplevel (0.14) and tried to upgrade Data::ICal again and it worked perfectly. So you may want to add Sub::Uplevel as a prerequisite in your Makefile.PL with a specific version to ensure it gets a more recent version. Unfortunately I didn't check which version I had previously installed, but 0.14 seems to work without a problem.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.